package com.zm.order.tool.server.message;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * 评论统计消息
 * @author nianchang
 * @ClassName OrderCommentMessage
 * @date 2021/05/13 3:24 下午
 */
public class OrderCommentCountMessage implements Serializable {

    private static final long serialVersionUID = 2014992276686779719L;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 是否匿名 0:否 1:是
     */
    private Integer anonymous;

    /**
     * 商家回复
     */
    private Integer sellerReply;

    /**
     * 是否存在图片
     * 0：不存在
     * 1：存在
     */
    private Integer existImage;

    /**
     * 是否隐藏评论
     * 0：不隐藏
     * 1：隐藏
     */
    private Integer hide;

    /**
     * 是否精选 0:否 1:是
     */
    private Integer quality;

    /**
     * 评论类型
     */
    private Integer commentType;

    /**
     * 是否有推荐菜 0:没有 1:有
     */
    private Integer existRecommend;

    /**
     * 初次创建评论标记
     * 1：初次创建
     * 用于评论次数统计
     */
    private Integer firstCreate;

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Integer getFirstCreate() {
        return firstCreate;
    }

    public void setFirstCreate(Integer firstCreate) {
        this.firstCreate = firstCreate;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public Integer getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(Integer sellerReply) {
        this.sellerReply = sellerReply;
    }

    public Integer getExistImage() {
        return existImage;
    }

    public void setExistImage(Integer existImage) {
        this.existImage = existImage;
    }

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public Integer getQuality() {
        return quality;
    }

    public void setQuality(Integer quality) {
        this.quality = quality;
    }

    public Integer getCommentType() {
        return commentType;
    }

    public void setCommentType(Integer commentType) {
        this.commentType = commentType;
    }

    public Integer getExistRecommend() {
        return existRecommend;
    }

    public void setExistRecommend(Integer existRecommend) {
        this.existRecommend = existRecommend;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
